Program bcder_forttest

  use sep
  use bcder_mod
  
  implicit none

  integer             :: n1,n2
  integer             :: bc1,bc2,bc3,bc4
  integer             :: stat
  real, allocatable   :: modl(:),dat(:)
  logical             :: adj

  call sep_init()

  call from_param("adj",adj)
  call from_param("bc1",bc1)
  call from_param("bc2",bc2)
  call from_param("bc3",bc3)
  call from_param("bc4",bc4)

  call from_history("n1",n1)
  call from_history("n2",n2)

  allocate(modl(n1*n2),dat(n1*n2))

  if(adj) then
    call sreed("in",dat,4*n1*n2)
  else
    call sreed("in",modl,4*n1*n2)
  endif

  call bcder_init(n1,n2,bc1,bc2,bc3,bc4)

  stat = bcder_op(adj,.false.,modl,dat)

  if(adj) then
    call srite("out",modl,4*n1*n2)
  else
    call srite("out",dat,4*n1*n2);
  endif

  deallocate(modl,dat)

end program
