/**
 * Pads a 3D a cube along each dimension
 * @author: Joseph Jennings
 * @version: 2017.04.29
 */
#ifndef PAD3D_H_
#define PAD3D_H_

#include "my_operator.h"

class pad3d : public my_operator {
  public:
    pad3d(){};
    pad3d(int i1loc, int i2loc, int i3loc, float fill);
    bool forward(bool add, my_vector *mod, my_vector *dat);
    bool adjoint(bool add, my_vector *mod, my_vector *dat);
    ~pad3d(){};

  private:
    int _i1loc, _i2loc, _i3loc;
    float _fill;
};


#endif /* PAD3D_H_ */
