Program Nlopdptest

  use sep
  use step_mod
  use mem_mod
  use dptest

  implicit none

  integer                           :: nx, nz, ntw
  integer                           :: bc1, bc2, bc3, bc4
  real                              :: dz, dx, dtw
  real, allocatable, dimension(:,:) :: vel, veldt2, vwt, wt
  real,              dimension(2)   :: dot1, dot2

  nx = 200;  nz = 200;  ntw = 100;
  dx = 10.0; dz = 10.0; dtw = 0.001;

  bc1=20; bc2=20; bc3=20; bc4=20;

  call mem_alloc2d(vel,nz,nx)
  call mem_alloc2d(veldt2,nz,nx)
  call mem_alloc2d(wt,nz,nx)
  call mem_alloc2d(vwt,nz,nx)
  vel    = 3000
  veldt2 = vel*vel*dtw*dtw
  wt     = 0.01
  vwt    = 0.1
  call step_init(nz, nx, ntw, bc1, bc2, bc3, bc4, dz, dx, veldt2, vwt, wt)

  call dot_test(step_op, nx*nz*ntw, nx*nz*ntw, dot1, dot2)

end program
